declare const BkTableColumn: {
    new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<{
        fixed?: boolean | "right" | "left";
        minWidth?: string | number;
        resizable?: boolean;
        index?: number;
        columnKey?: string;
        colspan?: import("table/src/props").SpanFunctionString;
        rowspan?: import("table/src/props").SpanFunctionString;
        sort?: import("table/src/props").ISortPropShape;
        filter?: import("table/src/props").IFilterPropShape;
        type?: "index" | "expand" | "__COL_TYPE_NONE" | "selection";
        render?: import("table/src/props").RenderFunctionString;
        label?: import("table/src/props").LabelFunctionString;
        width?: string | number;
        className?: import("table/src/props").RowClassFunctionString;
        align?: "" | "right" | "left" | "center";
        showOverflowTooltip?: import("table/src/props").IOverflowTooltipProp;
        field?: import("table/src/props").LabelFunctionString;
        prop?: import("table/src/props").LabelFunctionString;
    }> & Readonly<{}>, void, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").PublicProps, {
        fixed: boolean | "right" | "left";
        minWidth: string | number;
        resizable: boolean;
        index: number;
        columnKey: string;
        colspan: import("table/src/props").SpanFunctionString;
        rowspan: import("table/src/props").SpanFunctionString;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<{
        fixed?: boolean | "right" | "left";
        minWidth?: string | number;
        resizable?: boolean;
        index?: number;
        columnKey?: string;
        colspan?: import("table/src/props").SpanFunctionString;
        rowspan?: import("table/src/props").SpanFunctionString;
        sort?: import("table/src/props").ISortPropShape;
        filter?: import("table/src/props").IFilterPropShape;
        type?: "index" | "expand" | "__COL_TYPE_NONE" | "selection";
        render?: import("table/src/props").RenderFunctionString;
        label?: import("table/src/props").LabelFunctionString;
        width?: string | number;
        className?: import("table/src/props").RowClassFunctionString;
        align?: "" | "right" | "left" | "center";
        showOverflowTooltip?: import("table/src/props").IOverflowTooltipProp;
        field?: import("table/src/props").LabelFunctionString;
        prop?: import("table/src/props").LabelFunctionString;
    }> & Readonly<{}>, {}, {}, {}, {}, {
        fixed: boolean | "right" | "left";
        minWidth: string | number;
        resizable: boolean;
        index: number;
        columnKey: string;
        colspan: import("table/src/props").SpanFunctionString;
        rowspan: import("table/src/props").SpanFunctionString;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    fixed?: boolean | "right" | "left";
    minWidth?: string | number;
    resizable?: boolean;
    index?: number;
    columnKey?: string;
    colspan?: import("table/src/props").SpanFunctionString;
    rowspan?: import("table/src/props").SpanFunctionString;
    sort?: import("table/src/props").ISortPropShape;
    filter?: import("table/src/props").IFilterPropShape;
    type?: "index" | "expand" | "__COL_TYPE_NONE" | "selection";
    render?: import("table/src/props").RenderFunctionString;
    label?: import("table/src/props").LabelFunctionString;
    width?: string | number;
    className?: import("table/src/props").RowClassFunctionString;
    align?: "" | "right" | "left" | "center";
    showOverflowTooltip?: import("table/src/props").IOverflowTooltipProp;
    field?: import("table/src/props").LabelFunctionString;
    prop?: import("table/src/props").LabelFunctionString;
}> & Readonly<{}>, void, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
    fixed: boolean | "right" | "left";
    minWidth: string | number;
    resizable: boolean;
    index: number;
    columnKey: string;
    colspan: import("table/src/props").SpanFunctionString;
    rowspan: import("table/src/props").SpanFunctionString;
}, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("vue").Plugin;
export default BkTableColumn;
